Bug 1420711 - [RFE] - Applying Erratum to a client, Cancel and Next button only visible while scrolling through the entire list of content-hosts
Summary: [RFE] - Applying Erratum to a client, Cancel and Next button only visible whi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.2.7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Jonathon Turel
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 11:18 UTC by Nagoor Shaik
Modified: 2020-07-16 09:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:37:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18459 0 None None None 2017-02-12 08:02:08 UTC
Red Hat Knowledge Base (Solution) 2916921 0 None None None 2017-02-09 13:01:26 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Nagoor Shaik 2017-02-09 11:18:50 UTC
Description of problem:
[RFE] - Applying Erratum to a client, Cancel and Next button only visible while scrolling through the entire list of content-hosts

Version-Release number of selected component (if applicable):
Red Hat Satellite 6.2.7

How reproducible:
100%

Steps to Reproduce:

1) Have a large number of Content Hosts registered to Satellite 6

2) Try to apply an erratum by going to Content --> Errata --> Select an Errata --> click on Apply Errata --> select a single content-host 

3) You need to scroll through the entire content-hosts to reach to the bottom to click on the Next button.

Actual results:
To apply erratum, customer has to scroll through all the content-hosts which would cause inconvenience if you have more number of content-hosts registered. 

Expected results:
Cancel and Next Button Should be moved out of Content Hosts display frame.


Additional info:

Comment 7 Walden Raines 2017-02-10 18:23:38 UTC
Created redmine issue http://projects.theforeman.org/issues/18459 from this bug

Comment 8 Walden Raines 2017-02-13 15:16:42 UTC
PR: https://github.com/Katello/katello/pull/6605

Comment 9 pm-sat@redhat.com 2017-02-17 23:04:08 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18459 has been resolved.

Comment 10 Jonathon Turel 2017-09-06 19:39:34 UTC
Verified against Sat 6.3 Snap 14 => satellite-6.3.0-17.0.beta.el7sat.noarch

The action buttons are correctly at the top of the table so that my experience isn't hindered by a very long list of systems.

Comment 13 errata-xmlrpc 2018-02-21 12:37:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.